# Gets a specific action for an automation of a projecttemplate.

GET https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/automations/{automationId}/actions/{actionId}

Returns a specific action for a specific automation of a project template including all its values.

<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:read` permissions.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/automations/{automationId}/actions/{actionId}' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `projectTemplateId`: string (required). The id of the project template.

- path parameter `automationId`: string (required). The id of the automation.

- path parameter `actionId`: string (required). The id of the action.

## Response 200

OK

application/json

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdOn": "2026-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2026-01-15T09:30:00Z",
  "type": "tag-add-task",
  "order": 2,
  "values": [
    {
      "name": "tag",
      "value": "Design"
    }
  ]
}
```
